<?php
namespace SIU\SQ\Lib\daos;

class catalogo extends \SIU\SQ\Lib\entorno\catalogo
{
    /**
     * @return dao_notificaciones
     */
    public function notificaciones()
    {
        return new dao_notificaciones($this->entorno);
    }
    
    /**
     * @return dao_parametros_sistema
     */
    public function parametros_sistema()
    {
        return new dao_parametros_sistema($this->entorno);
    }
    
    /**
     * @return dao_comprobantes
     */
    public function comprobantes()
    {
        return new dao_comprobantes($this->entorno);
    }
    
    /**
     * @return dao_alarmas
     */
    public function alarmas()
    {
        return new dao_alarmas($this->entorno);
    }
    
    /**
     * @return dao_reloj_facturador
     */
    public function reloj_faturador()
    {
        return new dao_reloj_facturador($this->entorno);
    }
    
    /**
     * @return dao_procesos
     */
    public function procesos()
    {
        return new dao_procesos($this->entorno);
    }

    /**
     * @return dao_ventas
     */
    public function ventas()
    {
        return new dao_ventas($this->entorno);
    }

    /**
     * @return dao_interoperabilidad
     */
    public function interoperabilidad()
    {
        return new dao_interoperabilidad($this->entorno);
    }

    /**
     * @return dao_facturador
     */
    public function facturador()
    {
        return new dao_facturador($this->entorno);
    }

    /**
     * @return dao_log_interacciones_externas
     */
    public function log_interacciones_externas()
    {
        return new dao_log_interacciones_externas($this->entorno);
    }
}
