<?php
namespace SIU\SQ\Lib\daos;

use SIU\SQ\Lib\daos\dao;

class dao_log_interacciones_externas extends dao
{
    public function get($id)
    {
        $filtro = ["id" => $id];
        $rs = $this->get_lista($filtro);
        if (count($rs) > 1) {
            throw new error_negocio("DAO_LOG_INTERACCIONES_EXTERNAS: "
                    . "La consulta devolvio mas de un registro.");
        } else {
            return isset($rs[0]) ? $rs[0] : null;
        }
    }

    public function get_lista($filtro = array())
    {
        $where = "";
        if (isset($filtro['id'])) {
            $where .= " AND id = " . $this->quote($filtro['id']);
        }

        $sql = "SELECT
					lie.id,
					lie.tipo,
					lie.sistema_externo,
					lie.ocurrido_en,
					lie.mensaje,
					lie.recurso,
					lie.verbo,
					lie.codigo_procesamiento,
					lie.mensaje_procesamiento
				FROM
					log_interacciones_externas lie
				WHERE 1 = 1 $where ORDER BY id;";
        return $this->entorno()->db()->consultar($sql);
    }
}
