<?php

namespace SIU\SQ\Lib\transacciones;

use SIU\SQ\Lib\lib;

class transaccion_log_interaccion_externa extends \SIU\SQ\Lib\transaccion
{
    protected $servicio;

    protected function procesar_especifico()
    {
        $this->validar_datos_cargados();

        // Nuevo log interacción externa
        $log = lib::catalogo_modelo()->log_interaccion_externa();
        $log->set_tipo($this->datos['tipo']);
        $log->set_sistema_externo($this->datos['sistema_externo']);
        $log->set_ocurrido_en($this->datos['ocurrido_en']);
        $log->set_mensaje($this->datos['mensaje']);
        $log->set_recurso($this->datos['recurso']);
        $log->set_verbo($this->datos['verbo']);
        $log->guardar();

        $this->id = $log->get_id();
    }
}
