<?php
namespace SIU\SQ\Lib\entorno;

class configurador
{
    protected $acceso;
    protected $class_loader;
    public $sq_ini;
    public $bases_ini;

    public function __construct()
    {
        $config_dir = $this->get_config_dir();
        $ini_file = $config_dir."/sq.ini";
        if (!is_file($ini_file)) {
            die("El archivo 'sq.ini' no esta definido.");
        }
        $this->sq_ini = parse_ini_file($ini_file, true);
        $this->bases_ini = parse_ini_file($config_dir."/bases.ini", true);
        $dir = $this->get_dir();
        //		require_once($dir.'/../../../../../autoload.php');
//        require_once($dir.'/UniversalClassLoader.php');
//        $this->class_loader = new \lib\entorno\UniversalClassLoader();
//        $this->class_loader->registerNamespace('lib',$dir.'/../../src');
    }
    
    //	function class_loader()
    //	{
    //		return $this->class_loader;
    //	}

    //-------------------------------------------------

    public function get_dir()
    {
        return dirname(__FILE__);
    }

    public function get_logs_dir()
    {
        return $this->get_config_dir() . '/../logs';
    }

    public function get_config_dir()
    {
        if (isset($_SERVER['TOBA_INSTALACION_DIR'])) {
            return $_SERVER['TOBA_INSTALACION_DIR'];
        } else {
            return $this->get_dir() . "/../../../../../../../../config";
        }
    }

    //-------------------------------------------------
}
